---
name: Bug Report
about: Create a report to help us improve
---

<!-- NOTE: Please maintain all sections, otherwise the issue will be automatically closed :) -->

## Checklist

<!-- Please complete the following list of tasks, and then check it by changing the "[ ]" to "[x]" -->

- [ ] I have read the [tutorials](https://cotes2020.github.io/chirpy-demo/categories/tutorial/) and know the correct effect of the functional design.
- [ ] There are no similar reports on [existing issues](https://github.com/cotes2020/jekyll-theme-chirpy/issues?q=is%3Aissue) (including closed ones).
- [ ] I found the bug on the latest code of the `master` branch.

## Describe the bug

<!-- A clear and concise description of what the bug is. -->

### To Reproduce

Steps to reproduce the behavior:
<!--
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error
-->

### Expected behavior

<!-- A clear and concise description of what you expected to happen. -->

### Screenshots

<!-- If applicable, add screenshots to help explain your problem. -->

### Environment

| Command                           | Version |
|-----------------------------------|---------|
| `ruby -v`                         |         |
| `gem -v`                          |         |
| `bundle -v`                       |         |
| `bundle exec jekyll -v`           |         |
| `bundle info jekyll-theme-chirpy` |         |

### Desktop

<!-- If necessary, uncomment and fill in the following list:
- OS: [e.g. macOS 10.15.6]
- Browser: [e.g. Chrome 85.0.4183.83 (64-bit)]
-->

### Smartphone

<!-- If necessary, uncomment and fill in the following list:
- Device: [e.g. iPhone 6]
- OS: [e.g. iOS 13.6.1]
- Browser: [e.g. Chrome 22]
-->

### Additional context

<!-- Add any other context about the problem here. -->
